Bug 436370 - mingetty doesn't allow time to read error messages
mingetty doesn't allow time to read error messages
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-06 15:26 EST by Dax Kelson
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2008-03-06 15:26:58 EST
Description of problem:
I teach Linux classes where students perform advanced PAM lab exercises. One
very common issue we run into is mingetty clearing the screen to fast to read
any error messages such as "Account is expired".

You can tell that some sort of error message is displayed on the screen, but
there is no time to read it.

My suggestion to remedy this problem is to use the --delay option on the
mingetty lines, for example:

# Run gettys in standard runlevels
1:2345:respawn:/sbin/mingetty --delay=5 tty1
2:2345:respawn:/sbin/mingetty --delay=5 tty2
3:2345:respawn:/sbin/mingetty --delay=5 tty3
4:2345:respawn:/sbin/mingetty --delay=5 tty4
5:2345:respawn:/sbin/mingetty --delay=5 tty5
6:2345:respawn:/sbin/mingetty --delay=5 tty6

Or maybe just on the first tty. For what it's worth, SUSE avoids this problem by
using --noclear on tty1. That would also be an acceptable solution.

It would be great if a solution could be selected and make it in before the
March 11th freeze.
Comment 1 Bill Nottingham 2008-03-06 15:44:57 EST
I'm not sure exposing these errors to the user is worthwhile - after all, only
the admin can fix them at this point, and these errors are in the logs.
Comment 2 Dax Kelson 2008-03-06 16:39:07 EST
I'm requesting this for the benefit of the admins not the users. The types of
error messages are varied, not just "account expired". Any PAM typos will cause
various pam modules to print errors on the screen. These are typos caused by the

For the admins (or the users), being able to see/report the actual error message
is much more helpful then just "something flashes on the screen real quick"

The current behavior isn't very friendly.

If mingetty is not adjusted, then PAM and login should be patched to not print
error messages to STDERR. Right now it teases you with information that you
can't quite read. Even a 2-3 second delay to read the error messages would be
Comment 3 Bug Zapper 2008-05-14 01:50:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 iarly selbir 2009-03-14 21:34:14 EDT
Just to keep alive

Some feedback about this bug.


Fedora Bugzappers volunteer triage team
Comment 5 Bug Zapper 2009-06-09 19:41:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 12:04:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.